org.osgi.framework.namespace

## Class IdentityNamespace

- java.lang.Object
- - org.osgi.resource.Namespace
  - - org.osgi.framework.namespace.IdentityNamespace

    public final class IdentityNamespace
    extends Namespace

Identity Capability and Requirement Namespace.

This class defines the names for the attributes and directives for this namespace. All unspecified capability attributes are of type `String` and are used as arbitrary matching attributes for the capability. The values associated with the specified directive and attribute keys are of type `String`, unless otherwise indicated.

Each resource provides exactly one† identity capability that can be used to identify the resource.

The bundle wiring for the bundle revision provides exactly one† identity capability.

† A resource with no symbolic name must not provide an identity capability.

Author:
  $Id: 7bc7a11c45b30538ffbb7572c4539f6160557684 $

### Field Summary

Fields
`static String` `CAPABILITY_COPYRIGHT_ATTRIBUTE` The capability attribute that contains a human readable copyright notice for the resource.
`static String` `CAPABILITY_DESCRIPTION_ATTRIBUTE` The capability attribute that contains a human readable description for the resource.
`static String` `CAPABILITY_DOCUMENTATION_ATTRIBUTE` The capability attribute that contains the URL to documentation for the resource.
`static String` `CAPABILITY_LICENSE_ATTRIBUTE` The capability attribute that contains the URL to the license for the resource.
`static String` `CAPABILITY_SINGLETON_DIRECTIVE` The capability directive identifying if the resource is a singleton.
`static String` `CAPABILITY_TYPE_ATTRIBUTE` The capability attribute identifying the resource type.
`static String` `CAPABILITY_VERSION_ATTRIBUTE` The capability attribute identifying the `Version` of the resource if one is specified or `0.0.0` if not specified.
`static String` `CLASSIFIER_JAVADOC` The attribute value identifying the resource `classifier` as an archive containing the javadoc in the same directory layout as the resource.
`static String` `CLASSIFIER_SOURCES` The attribute value identifying the resource `classifier` as an archive containing the source code in the same directory layout as the resource.
`static String` `IDENTITY_NAMESPACE` Namespace name for identity capabilities and requirements.
`static String` `REQUIREMENT_CLASSIFIER_DIRECTIVE` The requirement directive that classifies the relationship with another resource.
`static String` `TYPE_BUNDLE` The attribute value identifying the resource `type` as an OSGi bundle.
`static String` `TYPE_FRAGMENT` The attribute value identifying the resource `type` as an OSGi fragment.
`static String` `TYPE_UNKNOWN` The attribute value identifying the resource `type` as unknown.

### Fields inherited from class org.osgi.resource.Namespace

`CAPABILITY_EFFECTIVE_DIRECTIVE, CAPABILITY_USES_DIRECTIVE, CARDINALITY_MULTIPLE, CARDINALITY_SINGLE, EFFECTIVE_ACTIVE, EFFECTIVE_RESOLVE, REQUIREMENT_CARDINALITY_DIRECTIVE, REQUIREMENT_EFFECTIVE_DIRECTIVE, REQUIREMENT_FILTER_DIRECTIVE, REQUIREMENT_RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IDENTITY_NAMESPACE

    public static final String IDENTITY_NAMESPACE

Namespace name for identity capabilities and requirements.

Also, the capability attribute used to specify the symbolic name of the resource.

See Also:
  Constant Field Values

#### CAPABILITY_SINGLETON_DIRECTIVE

    public static final String CAPABILITY_SINGLETON_DIRECTIVE

The capability directive identifying if the resource is a singleton. A `String` value of "true" indicates the resource is a singleton; any other value or `null` indicates the resource is not a singleton.

See Also:
  Constant Field Values

#### CAPABILITY_VERSION_ATTRIBUTE

    public static final String CAPABILITY_VERSION_ATTRIBUTE

The capability attribute identifying the `Version` of the resource if one is specified or `0.0.0` if not specified. The value of this attribute must be of type `Version`.

See Also:
  Constant Field Values

#### CAPABILITY_TYPE_ATTRIBUTE

    public static final String CAPABILITY_TYPE_ATTRIBUTE

The capability attribute identifying the resource type. If the resource has no type then the value `unknown` must be used for the attribute.

See Also:
  `TYPE_BUNDLE`, `TYPE_FRAGMENT`, `TYPE_UNKNOWN`, Constant Field Values

#### TYPE_BUNDLE

    public static final String TYPE_BUNDLE

The attribute value identifying the resource `type` as an OSGi bundle.

See Also:
  `CAPABILITY_TYPE_ATTRIBUTE`, Constant Field Values

#### TYPE_FRAGMENT

    public static final String TYPE_FRAGMENT

The attribute value identifying the resource `type` as an OSGi fragment.

See Also:
  `CAPABILITY_TYPE_ATTRIBUTE`, Constant Field Values

#### TYPE_UNKNOWN

    public static final String TYPE_UNKNOWN

The attribute value identifying the resource `type` as unknown.

See Also:
  `CAPABILITY_TYPE_ATTRIBUTE`, Constant Field Values

#### CAPABILITY_COPYRIGHT_ATTRIBUTE

    public static final String CAPABILITY_COPYRIGHT_ATTRIBUTE

The capability attribute that contains a human readable copyright notice for the resource. See the `Bundle-Copyright` manifest header.

See Also:
  Constant Field Values

#### CAPABILITY_DESCRIPTION_ATTRIBUTE

    public static final String CAPABILITY_DESCRIPTION_ATTRIBUTE

The capability attribute that contains a human readable description for the resource. See the `Bundle-Description` manifest header.

See Also:
  Constant Field Values

#### CAPABILITY_DOCUMENTATION_ATTRIBUTE

    public static final String CAPABILITY_DOCUMENTATION_ATTRIBUTE

The capability attribute that contains the URL to documentation for the resource. See the `Bundle-DocURL` manifest header.

See Also:
  Constant Field Values

#### CAPABILITY_LICENSE_ATTRIBUTE

    public static final String CAPABILITY_LICENSE_ATTRIBUTE

The capability attribute that contains the URL to the license for the resource. See the `name` portion of the `Bundle-License` manifest header.

See Also:
  Constant Field Values

#### REQUIREMENT_CLASSIFIER_DIRECTIVE

    public static final String REQUIREMENT_CLASSIFIER_DIRECTIVE

The requirement directive that classifies the relationship with another resource.

See Also:
  `CLASSIFIER_SOURCES`, `CLASSIFIER_JAVADOC`, Constant Field Values

#### CLASSIFIER_SOURCES

    public static final String CLASSIFIER_SOURCES

The attribute value identifying the resource `classifier` as an archive containing the source code in the same directory layout as the resource.

See Also:
  `REQUIREMENT_CLASSIFIER_DIRECTIVE`, Constant Field Values

#### CLASSIFIER_JAVADOC

    public static final String CLASSIFIER_JAVADOC

The attribute value identifying the resource `classifier` as an archive containing the javadoc in the same directory layout as the resource.

See Also:
  `REQUIREMENT_CLASSIFIER_DIRECTIVE`, Constant Field Values